LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
cppu::PropertySetMixinImpl::BoundListeners Class Reference

A class used by subclasses of `cppu::PropertySetMixin` when implementing UNO interface type attribute setter functions. More...

`#include <propertysetmixin.hxx>`

## Public Member Functions
| BoundListeners ()
| The constructor. More...
| ~BoundListeners ()
| The destructor. More...
void | notify () const
| Notifies any `com::sun::star::beans::XPropertyChangeListener`s. More...

## Friends
class | PropertySetMixinImpl

## Detailed Description

A class used by subclasses of `cppu::PropertySetMixin` when implementing UNO interface type attribute setter functions.

This class is not thread safe; that is, the constructor, `notify`, and the destructor must be called from the same thread.

See `cppu::PropertySetMixinImpl::prepareSet` for further details.

## Constructor & Destructor Documentation

cppu::PropertySetMixinImpl::BoundListeners::BoundListeners | ( |  | ) |

The constructor.

May throw `std::bad_alloc`.

cppu::PropertySetMixinImpl::BoundListeners::~BoundListeners | ( |  | ) |

The destructor.

Does not throw.

## Member Function Documentation

void cppu::PropertySetMixinImpl::BoundListeners::notify | ( |  | ) | const

Notifies any `com::sun::star::beans::XPropertyChangeListener`s.

May throw `com::sun::star::uno::RuntimeException` and `std::bad_alloc`.

See `cppu::PropertySetMixinImpl::prepareSet` for further details.

## Friends And Related Function Documentation

friend class PropertySetMixinImpl
| friend

The documentation for this class was generated from the following file:

- cppuhelper/propertysetmixin.hxx